For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportStatus Page
DocumentationSanctions API ReferenceChainalysis oracle
DocumentationSanctions API ReferenceChainalysis oracle
  • Sanctions Screening
    • API Overview
  • Reference
    • GETCheck if an address is sanctioned
LogoLogo
Login
Login
Get SupportStatus Page
Reference

Check if an address is sanctioned

GET
https://public.chainalysis.com/api/v1/address/:addressToCheck
GET
/api/v1/address/:addressToCheck
$curl https://public.chainalysis.com/api/v1/address/0x1da5821544e25c636c1417ba96ade4cf6d2f9b5a \
> -H "X-API-Key: <apiKey>"
1{
2 "identifications": [
3 {
4 "category": "sanctions",
5 "name": "SANCTIONS: OFAC SDN Secondeye Solution 2021-04-15 1da5821544e25c636c1417ba96ade4cf6d2f9b5a",
6 "description": "Pakistan-based Secondeye Solution (SES), also known as Forwarderz, is a synthetic identity document vendor that was added to the OFAC SDN list in April 2021.\nSES customers could buy fake identity documents to sign up for accounts with cryptocurrency exchanges, payment providers, banks, and more under false identities. According to the US Treasury Department, SES assisted the Internet Research Agency (IRA), the Russian troll farm that OFAC designated pursuant to E.O. 13848 in 2018 for interfering in the 2016 presidential election, in concealing its identity to evade sanctions.\nhttps://home.treasury.gov/news/press-releases/jy0126\n",
7 "url": "https://home.treasury.gov/news/press-releases/jy0126"
8 }
9 ]
10}

This endpoint checks if an address is sanctioned. The response includes an array of sanctions data, if any. Provide the address to check as the addressToCheck path parameter.

Was this page helpful?
Previous
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

addressToCheckstringRequired

The address to check for sanctions. Note: The string is case-sensitive.

Response

A list of sanctions designations for the address, if any.
identificationslist of objects

An array of identification details for the provided address. Note: If the array is empty, no sanctions are associated with the address.

Errors

400
Bad Request Error